<div class="toolbar">
    <h3>Square Game</h3>
    <div class="createBoxBtn">
        <button (click)="createBox()">Create New Box</button>
        <button (click)="toogleKeyControl()" class="">{{keyboardControl ? 'Keyboard Arrow Activated' : 'Keyboard Arrow Deactivated'}}</button>
    </div>
    

</div>
<div class="container">
    <ng-container *ngFor="let key of object.keys(boxes)">
        <div class="box" [ngClass]="selectedBox.boxId == boxes[key].boxId ? 'selectedBox' : ''" [id]="boxes[key].boxId" (click)="selectBox(boxes[key])" 
        [ngStyle]="{'background-color':boxes[key].background, 'top':boxes[key].top+'px','left':boxes[key].left+'px', 'z-index':boxes[key].id}"
        ></div>
    </ng-container>
</div>